Incompatible External Console Protocol Version 4

Advertisement

christopher3683
Joined:
Posts:
1
Location:
chennai,India

Incompatible External Console Protocol Version 4

Hi

I have installed Winscp 4.3.7, but i have used 5.0.6
(dll), in my coding i disabled version check like this session.disableVersionCheck=true;
after this i wanted to open this session, this time i got this error on this line "Incompatible External Console Protocol Version 4"
session.Open();

Please tell me the solutions

Reply with quote E-mail

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
27,271
Location:
Prague, Czechia

Re: Incompatible External Console Protocol Version 4

The only WinSCP version the assembly works with in 5.0.6 beta.
_________________
Martin Prikryl

Reply with quote

Guest

Re: Incompatible External Console Protocol Version 4

Can you send me that 5.0.6 Winscp version's exe or msi to my mail

my mail id is : christo83@gmail.com

Reply with quote

Anonymeous
Guest

I was getting same error but it has been resolved by pick same version of both the file: WinSCP.exe & WinSCP.dll, because WinSCP.dll v1.0.0.528 is not compatible with WinSCP.exe v4.3.8 or v4.3.6, I am using WinSCP.exe v5.0.7.2268 which is compatible with dll v1.0.0.528.

Reply with quote

Venkat
Guest

Incompatible external console protocol version

I am also getting same error with latest build.

winscp.dll File Version:1.1.0.3012/Product Version: 5.2.0.0
winscp.exe File Version:5.1.4.3020/Product Version: 5.1.4.0

Also not sure where to find compatible versions

Reply with quote

martin
Site Admin
martin avatar
Joined:
Posts:
27,271
Location:
Prague, Czechia

Re: Incompatible external console protocol version

I have released development version of the .NET assembly with 5.1.4 by mistake. Will fix it shortly. Meanwhile you can use 5.1.3.

Reply with quote

Advertisement

You can post new topics in this forum